Building From Sources
=====================

The complete Yocto BSP can be built from source using PHYTEC's phyLinux script.
Create a new folder where you want to store the files needed to build the BSP.
Then fetch the phyLinux script from PHYTEC's download server.
```
mkdir yocto
cd yocto/
wget https://download.phytec.de/Software/Linux/Yocto/Tools/phyLinux
chmod +x phyLinux
```
Download the manifest containing the source revisions of the Yocto BSP from
PHYTEC's download server:
```
wget https://download.phytec.de/Software/Linux/BSP-Yocto-i.MX8MP/BSP-Yocto-NXP-i.MX8MP-hardknott-nightly-2023-07-12/BSP-Yocto-NXP-i.MX8MP-hardknott-nightly-2023-07-12.xml
```
Run the phyLinux script and provide the manifest as a parameter:
```
./phyLinux init -x BSP-Yocto-NXP-i.MX8MP-hardknott-nightly-2023-07-12.xml
```
This will download all needed source files. Then prepare the build environment:
```
source sources/poky/oe-init-build-env
```
In order to build the BSP, the EULA for NXP's firmware must be accepted. The
EULA can be found in `sources/meta-imx/EULA.txt`. To agree, uncomment the
following line `build/conf/local.conf`:
```
ACCEPT_FSL_EULA = "1"
```
Finally build the BSP using BitBake:
```
bitbake phytec-headless-image
```
This may take up to several hours depending on your computer speed. The built
images can be found in `build/images/phyboard-pollux-imx8mp-3/`.
